Get all contract user variable values
get
/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/ContractTerms/{ContractTermsUniqID}/child/UserVariableValues
Request
Path Parameters
-
ContractTermsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Contract Terms Templates resource and used to uniquely identify an instance of Contract Terms Templates. The client should not generate the hash key value. Instead, the client should query on the Contract Terms Templates collection resource in order to navigate to a specific instance of Contract Terms Templates to get the hash key.
-
contractsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Contracts resource and used to uniquely identify an instance of Contracts. The client should not generate the hash key value. Instead, the client should query on the Contracts collection resource in order to navigate to a specific instance of Contracts to get the hash key.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables:- PrimaryKey :Finds a user variable with a variable code and variable code 1.
Finder Variables:- VariableCode :The code of the user variable.
- PrimaryKey :Finds a user variable with a variable code and variable code 1.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AttributeValueSetId; number; The attribute value set ID of the user variable.
- Description; string; The description of the user variable.
- DisplayMode; string; The display mode of the user variable.
- ExternalYn; string; Indicates whether the user variable is external or not.
- ObjectVersionNumber; integer; The object version number of the user variable.
- VariableCode; string; The code of the user variable.
- VariableDatatype; string; The data type of the user variable.
- VariableName; string; The name of the user variable.
- VariableSource; string; The source of the user variable.
- VariableType; string; The type of the user variable.
- VariableValue; string; The value of the user variable.
- VariableValueId; string; The value ID of the user variable.
- VersionType; string; The version type of the user variable.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : contracts-ContractTerms-UserVariableValues
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : contracts-ContractTerms-UserVariableValues-item-response
Type:
Show Source
object-
AttributeValueSetId: number
The attribute value set ID of the user variable.
-
ClauseUsages: array
Contract User Variable Clause Usages
Title:
Contract User Variable Clause UsagesThe user variable clause usages resource is used to get all the clauses that have this user variable. -
Description: string
Title:
DescriptionRead Only:trueMaximum Length:450The description of the user variable. -
DisplayMode: string
Read Only:
trueMaximum Length:255The display mode of the user variable. -
ExternalYn: string
Maximum Length:
1Indicates whether the user variable is external or not. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Read Only:
trueThe object version number of the user variable. -
VariableCode: string
Maximum Length:
30The code of the user variable. -
VariableDatatype: string
Title:
Data TypeRead Only:trueMaximum Length:1The data type of the user variable. -
VariableName: string
Title:
NameRead Only:trueMaximum Length:150The name of the user variable. -
VariableSource: string
Title:
SourceRead Only:trueMaximum Length:1The source of the user variable. -
VariableType: string
Maximum Length:
1The type of the user variable. -
VariableValue: string
Maximum Length:
2000The value of the user variable. -
VariableValueId: string
Maximum Length:
40The value ID of the user variable. -
VersionType: string
Maximum Length:
1The version type of the user variable.
Nested Schema : Contract User Variable Clause Usages
Type:
arrayTitle:
Contract User Variable Clause UsagesThe user variable clause usages resource is used to get all the clauses that have this user variable.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : contracts-ContractTerms-UserVariableValues-ClauseUsages-item-response
Type:
Show Source
object-
ArticleDescription: string
Title:
DescriptionRead Only:trueMaximum Length:2000The article description. -
ArticleId: integer
(int64)
Read Only:
trueThe article ID. -
ArticleText: string
(byte)
Read Only:
trueThe article text. -
ArticleTitle: string
Title:
TitleRead Only:trueMaximum Length:450The article title. -
ArticleVersionId: number
Title:
ClauseRead Only:trueThe article version ID. -
CatId: integer
The category ID.
-
DisplayName: string
Title:
Clause TitleRead Only:trueMaximum Length:450The display name of the clause. -
DocumentId: number
Read Only:
trueThe document ID of the clause. -
DocumentType: string
Title:
Document TypeRead Only:trueMaximum Length:30The document type of the clause. -
Heading: string
Title:
SectionRead Only:trueMaximum Length:300The heading of the clause. -
Id: integer
Read Only:
trueThe ID of the clause. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MajorVersion: integer
(int64)
The major version of the clause.
-
SavSaeId: number
Read Only:
trueThe article ID. -
ScnId: number
Title:
SectionRead Only:trueThe section ID of the clause. -
VariableCode: string
Title:
NameMaximum Length:30The variable code.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.